#include <inttypes.h>
#include <delayms.c>

void printled(uint16_t result)
{
int8_t i;
DDRC |= (1<<DDC0) | (1<<DDC1);  	//Pin 0 und 1 von Port A als Ausgnge definieren -> fr LED's
  
  PORTC = 0x00;
  SETBIT(PORTC,PC0);		    	// quasi als Startzeichen PA0 3 sek lang leuchten lassen
  SETBIT(PORTC,PC1);
  delayms(3000);
  PORTC = 0x00;
  delayms(400);
    
  for (i=9; i>=0; i--)		// die ersten 10 bit des ADCW werden angezeigt mit LEDs (bit10, bit9, bit8)
  {				    		// kurz: beide LEDs bedeutet logisch 1, nur eine bedeutet logisch 0.
   
   if ((result & (1<<i))&&1 == 1)   	// Bit i von result wird mit 1 verglichen. Wenn Bit i von result 1 ist
       {			    				// leuchtet das PA1 Led auch. => Kann ablesen was in result steht	
		SETBIT(PORTC,PC1);
       }			    				// Die Auflsung betrgt 10bit; AVCC=VCC=4.95V woraus folgt:
   	SETBIT(PORTC,PB0);	   	 			// 1LSB=4.95V / 1024 = 0.004833984V =~5mV
   	delayms(500);
       
   	PORTC = 0x00;
   	delayms(400);
  }

  PORTC=0x00;
  SETBIT(PORTC,PB0);		    		// quasi als Endezeichen PA0 wieder 3 sek lang leuchten lassen
  delayms(3000);
  PORTC = 0x00;
}

